# Lookup by dimensions

Endpoint: POST /lookup/dimensions
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Request fields (application/json):

  - `filters` (array)

  - `filters.dimensionName` (string)

  - `filters.filterType` (string)

  - `filters.values` (array)

  - `filters.details` (object)

  - `dimensionLookups` (array)

  - `dimensionLookups.lookupType` (string)

  - `dimensionLookups.query` (string)

  - `dimensionLookups.page` (object)

  - `dimensionLookups.page.page` (integer)

  - `dimensionLookups.page.size` (integer)

  - `dimensionLookups.page.skip` (integer)

  - `dimensionLookups.page.cursor` (string)

  - `dimensionLookups.additional` (object)

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `hasMore` (boolean)

  - `result` (array)

  - `totalHits` (integer)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

